<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DGTVBRO</title>

    <script src="//ssl.p.jwpcdn.com/player/v/8.26.0/jwplayer.js"></script>
    <meta content="noindex, nofollow, noarchive" name="robots"><script>jwplayer.key = "XSuP4qMl+9tK17QNb+4+th2Pm9AWgMO/cYH8CI0HGGr7bdjo";</script>
    <meta name="robots" content="noindex, nofollow" />
    <meta name="referrer" content="no-referrer" />
    <link rel=profile href="https://pripri7.github.io/img/live/icondg.png">
    <style>
    body {
       margin: 0;
       padding: 0;
    }
    #player {
        height: 100vh !important;
    }
   
   

    </style>
</head>
<body>
    
    <script type="text/javascript">
    function getParameterByName(name) {
            name = name.replace(/[\[\]]/g, "\\$&");
            var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
                results = regex.exec(window.location.href);
            if (!results) return null;
            if (!results[2]) return '';
            return decodeURIComponent(results[2].replace(/\+/g, " "));
        }
    </script>
    <div id="player"></div>
    

    <script type="text/javascript">
                var ConfiguracionCanales = {

            "sctv": {
              url: "https://atemeshield1-voe.sysln.id/live/eds/SCTVHD/mpd/SCTVHD.mpd",
              k1: "a79a188263724bfcaafc4a7c3b3cd8ce",
              k2: "4d4732d93e6720de0ef884d7106e14f7"
            },

            "sctv2": {
              url: "http://op-group1-swiftservehd-1.dens.tv/h/h217/02.m3u8"
            },


            "indosiar": {
              url: "https://atemeshield1-voe.sysln.id/live/eds/IndosiarHD/mpd/IndosiarHD.mpd",
              k1: "5eaddccd893a47ac8b65f9b31963a3ae",
              k2: "881afa67ea57b41c1822d745d67559e6"
            },

            "moji": {
              url: "http://op-group1-swiftservehd-1.dens.tv/h/h207/02.m3u8",
              k1: "052861ebedab473089d0e7480d0c5b63",
              k2: "4d51aa0304af98c449fdec1548a199f9"
            },

            "antv": {
                url: "http://op-group1-swiftservehd-1.dens.tv/s/s07/01.m3u8"

            },
            "antv2": {
                url: "https://cdn09jtedge.indihometv.com/joss/130/antv/index.m3u8?c"

            },
            "inews": {
              url: "https://1s1.rctiplus.id/inews2023.m3u8",
              k1: "a31cf5136789514b7e12b9cc99307c84",
              k2: "980e54d671ffc2b2f4cf54e75cae0ac2"
            },


            "transtv": {
                url: "https://donelfantastic.github.io/creativemedia/local/transtvID.m3u8"

            },

            "transtv2": {
                url: "https://livestream.transtv.co.id/stream/live/ttv.m3u8"
            },

            "trans7": {
                url: "https://video.detik.com/trans7/smil:trans7.smil/index.m3u8"
            },

            "tvone": {
                url: "http://op-group1-swiftservehd-1.dens.tv/h/h40/index.m3u8?app_type=web&amp;userid=wnctpm5uf2j&amp;chname=tvOne"
            },
            "kompastv": {
                url: "https://streaming.indihometv.com/atm/hlsv3/KOMPAS_TV/playlist.m3u8"
            },
            
            "metrotv": {
                url: "http://op-group1-swiftservehd-1.dens.tv/h/h12/index.m3u8?app_type=web&amp;userid=wnctpm5uf2j&amp;chname=Metro_TV"
            },
            "metrotv2": {
                url: "https://edge.medcom.id/live-edge/smil:metro.smil/chunklist_w1044588355_b1128000_sleng.m3u8"
            },
            "rtv": {
                url: "http://op-group1-swiftservehd-1.dens.tv/h/h10/index.m3u8?app_type=web&amp;userid=wnctpm5uf2j&amp;chname=RTV"
            },
            "rtv2": {
                url: "https://cdn09jtedge.indihometv.com/joss/130/rtv/index.m3u8"
            },

            "tvri": {
                url: "http://op-group1-swiftservesd-1.dens.tv/s/s11/index.m3u8?app_type=web&amp;userid=wnctpm5uf2j&amp;chname=TVRI"
            },

            "nettv": {
                url: "https://op-group1-swiftservehd-1.dens.tv/h/h223/02.m3u8"
            },
            "nettv2": {
                url: "https://cdn09jtedge.indihometv.com/joss/133/net/index.m3u8?c"
            },
            "cnbc": {
                url: "https://live.cnbcindonesia.com/livecnbc/smil:cnbctv.smil/chunklist_w1230509683_b384000_sleng.m3u8"
            },
            "cnn": {
                url: "https://live.cnnindonesia.com/livecnn/smil:cnntv.smil/chunklist_w1238913108_b384000_sleng.m3u8"
            },
            "cnbc": {
                url: "https://live.cnbcindonesia.com/livecnbc/smil:cnbctv.smil/chunklist_w1230509683_b384000_sleng.m3u8"
            },
            
            
//TV KARTUN
            "mentari": {
                url: "https://cdn09jtedge.indihometv.com/joss/134/mentaritv/index.m3u8?c"
            },
 
            "DGTVBRO": {
                url: "https://pripri7.github.io/img/live/staydg.mp4"

            },
//TV DAERAH
            "jtv": {
                url: "https://63b2dc7196c38.streamlock.net:1937/ch2/myStream/chunklist_w277448955.m3u8"
            },
            "rodjatv": {
                url: "http://op-group1-swiftservesd-1.dens.tv/s/s14/index.m3u8?app_type=web&amp;userid=wnctpm5uf2j&amp;chname=RodjaTV"
            },
            "magna": {
                url: "https://edge.medcom.id/live-edge/smil:magna.smil/chunklist_w1712984211_b878000_sleng.m3u8"
            },
            "indosiana": {
                url: "https://op-group1-swiftservehd-1.dens.tv/h/h292/S1/mnf.m3u8"
            },
            "garudatv": {
                url: "https://etv-cdn.kdb.co.id/GarudaTV-Stream/index.m3u8"
            },
            "tvku": {
                url: "http://103.30.1.14:8080/hls/live.m3u8"
            },
            "metroglobal": {
                url: "https://edge.medcom.id/live-edge/smil:mgnch.smil/playlist.m3u8"
            },
            "nusantara": {
                url: "https://nusantaratv.siar.us/nusantaratv/live/playlist.m3u8"
            },
            "daaitv": {
                url: "https://pull.daaiplus.com/live-DAAITV/livestream-DAAITV.m3u8"
            },
            "daaitv2": {
                url: " https://cdn09jtedge.indihometv.com/joss/134/daaitv/index.m3u8"
            },
            "tvkesehatan": {
                url: "https://5bf7b725107e5.streamlock.net/tvkesehatan/tvkesehatan/playlist.m3u8?checkedby:iptvcat.com"
            },
            "beritasatu": {
                url: "https://b1news.beritasatumedia.com/Beritasatu/B1News_manifest.m3u8"
            },
            "tanjungpinang": {
                url: "http://103.30.246.47:1935/tvtpi/smil:live.smil/playlist.m3u8"
            },
            "batam": {
                url: "https://63b2dc7196c38.streamlock.net:1937/ch5/myStream/playlist.m3u8"
            },
            "riautv": {
                url: "https://63b2dc7196c38.streamlock.net:1937/riautv/myStream/playlist.m3u8"
            },
            "bandung": {
                url: "http://202.150.153.254:65500/bandungtvWEBSITE.m3u8"
            },
            "jpmtv": {
                url: "https://63b2dc7196c38.streamlock.net:1937/ch6/myStream/playlist.m3u8"
            },
            "jaktv": {
                url: "https://op-group1-swiftservesd-1.dens.tv/s/s123/S4/mnf.m3u8"
            },
            "vtv": {
                url: "https://flv.intechmedia.net/live/ch107.m3u8"
            },
            "jpmtv": {
                url: "https://63b2dc7196c38.streamlock.net:1937/ch6/myStream/playlist.m3u8"
            },
            "jpmtv": {
                url: "https://63b2dc7196c38.streamlock.net:1937/ch6/myStream/playlist.m3u8"
            },
            "jpmtv": {
                url: "https://63b2dc7196c38.streamlock.net:1937/ch6/myStream/playlist.m3u8"
            },
            "jpmtv": {
                url: "https://63b2dc7196c38.streamlock.net:1937/ch6/myStream/playlist.m3u8"
            },
            

            

           
            

            


            
            








          
            

        };
    var id = getParameterByName('id');
var config = ConfiguracionCanales[id];

console.log(id,config)
if (config) {
    var sources = [];

    if (config.url.includes('.m3u8')) {
        sources.push({
            file: config.url
        });
    }
    
    if (config.url.includes('.mpd') && config.k1 && config.k2) {
        sources.push({
            file: config.url,
            drm: {"clearkey": {"keyId": config.k1, "key": config.k2}}
        });
    }

 //JWWWWWW
    jwplayer("player").setup({
      
       logo: {
                file: 'https://pripri7.github.io/img/live/dglogo.png',
                link: '',
                position: 'bottom-right'
            },
        playlist: [{
          
          
            image: "https://pripri7.github.io/img/live/backgroundplay.png",
            sources: sources
        }],
        autostart: false,
        width: "100%", 
        height: "100%", 
        stretching: "exactfit",
        aspectratio: "16:9",
        cast: {}, 
                sharing: {}
        });
        }
    </script>
</body>
</html>